## RAppArmor_1.0.0.tar.gz

=== DESCRIPTION ===
Package: RAppArmor
Type: Package
Title: Interfaces to Linux and AppArmor security methods.
Version: 1.0.0
Date: 2013-10-31
Author: Jeroen Ooms
Maintainer: Jeroen Ooms <jeroen.ooms@stat.ucla.edu>
License: GPL | Apache License (== 2.0)
URL: http://www.jstatsoft.org/v55/i07/
        http://github.com/jeroenooms/RAppArmor#readme
BugReports: http://github.com/jeroenooms/RAppArmor/issues
OS_type: unix
SystemRequirements: libapparmor-dev, linux (>= 3.0)
Description: This package implements R functions that interface to various methods in the Linux kernel related to enforcing security restrictions on a certain task (process). The package can apply mandatory access control (MAC) policies by loading an apparmor profile, and set hardware limits (rlimit), uid, gid, affinity and priority of the current process, directly from within R. The high level function eval.secure builds on these foundations to support dynamic sandboxing: it evaluates a single expression in a temporary fork with hard security restrictions and hardware limits without any side effects on the main R session.
Suggests: testthat
Imports: parallel, tools, methods
Packaged: 2013-11-03 19:24:34 UTC; jeroen
NeedsCompilation: yes
Repository: CRAN
Date/Publication: 2013-11-03 20:53:34

=== tools/debian/changelog ===
rapparmor (1.0.0-precise0) precise; urgency=low

  * Ubuntu build of the RAppArmor package for R. See NEWS for history.

 -- Jeroen Ooms <jeroen@opencpu.org>  Thu, 31 Oct 2013 12:00:00 -0600

=== tools/debian/control ===
Source: rapparmor
Section: gnu-r
Priority: optional
Maintainer: Jeroen Ooms <jeroen.ooms@stat.ucla.edu>
Build-Depends: debhelper (>= 7.0.0), r-base-dev (>= 2.14.0), cdbs, libapparmor-dev
Standards-Version: 3.9.3
 
Package: r-cran-rapparmor
Architecture: any
Depends: ${shlibs:Depends}, ${shlibs:Misc}, r-base-core (>= 2.14.0), libapparmor1, apparmor, apparmor-utils
Description: R interfaces to Linux and AppArmor security methods.
	This package allows users of the R statistical programming system to dynamically run
	secured R processes by setting ulimit and apparmor parameters on the process.
